<template>
    <div class="container">
        <v-text-field type="number" hide-details dense :label="label" :value="valStr" @blur='emitInput' @keydown.enter='emitInput'></v-text-field>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
    props: {
        value: {
            type: Number,
            required: true
        },
        label: {
            type: String,
            required: true
        },
    },

    computed: {
        valStr(): string {
            return this.value.toString();
        }
    },

    methods: {
        emitInput(ev: any): void {
            const v = parseFloat(ev.target.value);
            this.$emit("input", v);
        }
    }

});
</script>

<style scoped>
.container {
    margin: 0px;
    padding: 0px;
}
</style>
